Bug 201181 - [exp-run] Update ffmpeg to 2.7.1
Summary: [exp-run] Update ffmpeg to 2.7.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Ports Framework (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Thomas Zander
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-06-28 19:14 UTC by Thomas Zander
Modified: 2015-07-04 05:50 UTC (History)
3 users (show)

See Also:
bugzilla: maintainer-feedback? (multimedia)


Attachments
Patch to multimedia/ffmpeg to update to 2.7.1 (14.37 KB, text/plain)
2015-06-28 19:14 UTC, Thomas Zander
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas Zander freebsd_committer 2015-06-28 19:14:44 UTC
Created attachment 158140 [details]
Patch to multimedia/ffmpeg to update to 2.7.1

Currently the main ffmpeg port, multimedia/ffmpeg is still on 2.3.x because in 2.4.x several APIs were deprecated that several dependent ports used to rely on. Most of them should have received the necessary work upstream to make them compatible with later releases. Recently, I have introduced multimedia/ffmpeg23 for ports that do not comply with later releases. Whatever breaks after an update of multimedia/ffmpeg to 2.7.x can LIB_DEPEND on multimedia/ffmpeg23 instead; after appropriate patching, that is. This exp-run shall determine what breaks and how to proceed from here.


NOTE:
Because of http://subversion.tigris.org/issues/show_bug.cgi?id=898 it is not possible to use svn diff | svn patch in to generate/apply this patch. This is because ffmpeg/files/patch-libavdevice-oss_audio.c was renamed to ffmpeg/files/patch-libavdevice-oss.c and modified. Therefore I had to retreat to using diff -ruN. So, please ensure that no empty files are left in files/ after applying this patch.
Comment 1 Antoine Brodin freebsd_committer 2015-06-28 20:02:30 UTC
Take
Comment 2 Antoine Brodin freebsd_committer 2015-06-29 11:05:20 UTC
With default options,  there are 3 new failures:

+ {"origin"=>"devel/libdlna", "pkgname"=>"libdlna-0.2.3_4", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"emulators/kcemu", "pkgname"=>"kcemu-0.5.1_7", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"sysutils/k3b-kde4", "pkgname"=>"k3b-2.0.2_22", "phase"=>"build", "errortype"=>"clang"}


Failure logs:

http://package23.nyi.freebsd.org/data/101amd64-default-PR201181/2015-06-28_20h01m51s/logs/errors/libdlna-0.2.3_4.log
http://package23.nyi.freebsd.org/data/101amd64-default-PR201181/2015-06-28_20h01m51s/logs/errors/kcemu-0.5.1_7.log
http://package23.nyi.freebsd.org/data/101amd64-default-PR201181/2015-06-28_20h01m51s/logs/errors/k3b-2.0.2_22.log
Comment 3 Thomas Zander freebsd_committer 2015-06-29 18:11:00 UTC
(In reply to Antoine Brodin from comment #2)

This is much, MUCH better than expected!
Comment 5 Antoine Brodin freebsd_committer 2015-06-29 20:23:45 UTC
Exp-run done and new failures provided
Comment 6 Thomas Zander freebsd_committer 2015-07-01 20:01:39 UTC
(In reply to Antoine Brodin from comment #5)

This seems indeed very uncritical to me. No major breakages by this update. Now that 2015Q3 is branched, I propose to commit this and then deal with the fallout.

What's portmgr's stance on this?
Comment 7 Antoine Brodin freebsd_committer 2015-07-01 20:06:06 UTC
As you want,  but if you commit as is,  make sure to mark devel/libdlna , emulators/kcemu and sysutils/k3b-kde4 BROKEN  and  to mark x11-toolkits/nucleo ,  graphics/bugle  and  cad/netgen  BROKEN when FFMPEG option is on.
Comment 8 Thomas Zander freebsd_committer 2015-07-02 19:39:09 UTC
(In reply to Antoine Brodin from comment #7)

graphics/netgen LIB_DEPENDS on ffmpeg0. pkg building should still work in an environment where only ffmpeg0 is installed. If it happened to work with the default ffmpeg port before, this was coincidental and needs fixing anyway.
Comment 9 Thomas Zander freebsd_committer 2015-07-02 20:11:21 UTC
Committed in r391183, see
https://svnweb.freebsd.org/changeset/ports/391183
Comment 10 Thomas Zander freebsd_committer 2015-07-04 05:50:27 UTC
Fixes for the four actual breaks this update causes have been committed by r391293:

devel/libdlna
emulators/kcemu
x11-toolkits/nucleo
sysutils/k3b-kde4